%global debug_package %{nil}

Name:            qemu-sanity-check
Version:         1.1.1
Release:         1%{?dist}
Summary:         Simple qemu and Linux kernel sanity checker

License:         GPLv2+
URL:             http://people.redhat.com/~rjones/qemu-sanity-check
Source0:         http://people.redhat.com/~rjones/qemu-sanity-check/files/%{name}-%{version}.tar.gz

# For building manual pages.
BuildRequires:   /usr/bin/perldoc

# For building the initramfs.
BuildRequires:   cpio
BuildRequires:   glibc-static

%ifarch %{ix86} x86-64
Requires:        qemu-system-x86
%endif
%ifarch armv7hl
Requires:        qemu-system-arm
%endif

Requires:        kernel

%description
Qemu-sanity-check is a short shell script that test-boots a Linux
kernel under qemu, making sure it boots up to userspace.  The idea is
to test the Linux kernel and/or qemu to make sure they are working.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%check
make check


%install
make DESTDIR=$RPM_BUILD_ROOT install


%files
%doc COPYING README
%{_bindir}/qemu-sanity-check
%{_libdir}/qemu-sanity-check
%{_mandir}/man1/qemu-sanity-check.1*


%changelog
* Tue Aug 20 2013 Richard W.M. Jones <rjones@redhat.com> - 1.1.1-1
- Initial release.
